PHP Manual
Prev |  | Next

# gzinflate

(PHP 4 >= 4.0.4, PHP 5)

gzinflate -- Inflate a deflated string

## Description

string gzinflate ( string data [, int length] )

This function inflate a deflated string.

## Parameters

`data`

  The data compressed by gzdeflate().

`length`

  The maximum length of data to decode.

## Return Values

The original uncompressed data or `FALSE` on error.

The function will return an error if the uncompressed data is more than 32768 times the length of the compressed input `data` or more than the optional parameter `length`.

## Examples

Example 1. gzinflate() example

`<?php $compressed = gzdeflate('Compress me', 9); $uncompressed = gzinflate($compressed); echo $uncompressed; ?>`

## See Also

gzdeflate()
gzcompress()
gzuncompress()
gzencode()

Prev | Home | Next
gzgetss | Up | gzopen